announcements
Update announcement
PUT
/
api
/
company
/
announcements
/
{id}
Update announcement
curl --request PUT \
--url https://api.fluid.app/api/company/announcements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"active": true,
"application_theme_template_id": 123,
"available_countries": [
"<string>"
],
"display_comments": true,
"image_url": "<string>",
"video_url": "<string>",
"pdf_url": "<string>",
"powerpoint_url": "<string>",
"no_index": true,
"media_type": "<string>",
"rank_ids": [
123
]
}
'import requests
url = "https://api.fluid.app/api/company/announcements/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"active": True,
"application_theme_template_id": 123,
"available_countries": ["<string>"],
"display_comments": True,
"image_url": "<string>",
"video_url": "<string>",
"pdf_url": "<string>",
"powerpoint_url": "<string>",
"no_index": True,
"media_type": "<string>",
"rank_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
active: true,
application_theme_template_id: 123,
available_countries: ['<string>'],
display_comments: true,
image_url: '<string>',
video_url: '<string>',
pdf_url: '<string>',
powerpoint_url: '<string>',
no_index: true,
media_type: '<string>',
rank_ids: [123]
})
};
fetch('https://api.fluid.app/api/company/announcements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"announcement": {
"id": 123,
"active": true,
"application_theme_template_id": 123,
"country_ids": [
"<string>"
],
"description": "<string>",
"display_comments": true,
"image_url": "<string>",
"kind": "<string>",
"media_type": "<string>",
"no_index": true,
"pdf_url": "<string>",
"powerpoint_url": "<string>",
"rank_ids": [
123
],
"title": "<string>",
"video_url": "<string>"
}
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Path Parameters
Body
application/json
Response
object | null
Success
Show child attributes
Show child attributes
⌘I
Update announcement
